=== debian/changelog ===
python-qtmobility (0.2-0maemo6) unstable; urgency=low

  * Package renaming.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon,  6 Dec 2010 14:25:02 -0300

pyside-mobility (0.2-0maemo5) unstable; urgency=low

  * Version bump to work with latest PySide1.0~beta1 release.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Thu,  2 Dec 2010 16:21:31 -0300

pyside-mobility (0.2-0maemo4) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

pyside-mobility (0.1-0maemo3) unstable; urgency=low

  * Add missing file in QtMobility/Bearer/CMakeLists.txt

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Fri, 13 Aug 2010 17:46:19 -0400

pyside-mobility (0.1-0maemo2) unstable; urgency=low

  * Add missing modules: Bearer, Messaging, PublishSubscribe

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Thu, 12 Aug 2010 09:21:00 -0400

pyside-mobility (0.1-0maemo1) unstable; urgency=low

  * Initial Release

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 30 Jul 2010 16:21:54 -0400
