=== debian/control ===
Source: python-qtmobility
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.5.1), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.5.1), python-pyside (>= 0.4.2), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility
Replaces: pyside-mobility
Provides: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility-dbg
Replaces: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility.contacts (>= ${binary:Version}),
	 python-qtmobility.location (>= ${binary:Version}),
	 python-qtmobility.messaging (>= ${binary:Version}),
	 python-qtmobility.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility.sensors (>= ${binary:Version}),
	 python-qtmobility.serviceframework (>= ${binary:Version}),
	 python-qtmobility.systeminfo (>= ${binary:Version}),
	 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility.contacts
Replaces: pyside-mobility-contacts
Provides:pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility.location
Replaces: pyside-mobility-location
Provides:pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility.messaging
Replaces: pyside-mobility-messaging
Provides:pyside-mobility-messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility.publishsubscribe
Replaces: pyside-mobility-publishsubscribe
Provides:pyside-mobility-publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility.sensors
Replaces: pyside-mobility-sensors
Provides:pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility.serviceframework
Replaces: pyside-mobility-serviceframework
Provides:pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility.systeminfo
Replaces: pyside-mobility-systeminfo
Provides:pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility.versit
Replaces: pyside-mobility-versit
Provides:pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.
