=== debian/changelog ===
python-qtmobility (0.2-0maemo7) unstable; urgency=low

  * Version bump - building with PySide 1.0.0~beta2 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 23 Dec 2010 16:08:42 -0400
